TARGET   = coreaction
TEMPLATE = app

QT      += widgets dbus

VERSION  = 2.8.0

# Library section
unix:!macx: LIBS += -lcprime -lcsys

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "coreaction.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = coreaction.svg

        INSTALLS += target icons desktop
}

FORMS += \
    coreaction.ui

HEADERS += \
    coreaction.h

SOURCES += \
    coreaction.cpp \
    main.cpp
