/*
    *
    * This file is a part of CoreAction.
    * A side bar for showing widgets for CuboCore Application Suite
    * Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, vsit http://www.gnu.org/licenses/.
    *
*/

#ifndef COREACTION_H
#define COREACTION_H

#include <QWidget>
#include <QSystemTrayIcon>

#include <cprime/settingsmanage.h>
#include <cprime/cprime.h>

class QMenu;
class QTimer;
class InfoManager;


namespace Ui {
    class coreaction;
}

class coreaction : public QWidget {
    Q_OBJECT

public:
    explicit coreaction(QWidget *parent = nullptr);
    ~coreaction();

    QSystemTrayIcon *trayIcon;
    void focusOutEvent(QFocusEvent *event);

public slots:
	void hide();
    void ShowWindow(QSystemTrayIcon::ActivationReason Reason);

private slots :
	void updateTime();
    void on_hide_clicked();

private:
    Ui::coreaction *ui;
    settingsManage *sm = settingsManage::initialize();
    QMenu          *trayIconMenu;
    QTimer         *timer;
    InfoManager    *im;
    QStringList selectedPlugins;

    void widget();
    void trayicon();
    void addPlugins();
    void loadSettings();
};

#endif // COREACTION_H
